Bug 57555 - Popular hardware configuration EXTEREMELY unstable
Popular hardware configuration EXTEREMELY unstable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-15 13:26 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-15 13:26:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.14 i686)

Description of problem:
My system is very unstable. It crashes consistently during normal use of X
(Gnome). X consumes 100% CPU (I know this from SSH'ing in) and eventually
locks up the entire system. The mouse will still move but keyboard input
does not register (i.e. Alt+Ctrl+Backspace). Other times I will loose mouse
control but still have keyboard control. Other times the system will lock
up hard and will not respond to pings or ssh attempts. 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Use system normally.	
	

Actual Results:  System crashes randomly.

Expected Results:  System should not crash.

Additional info:


I routinely scour /var/log/messages. I used to see alot of the
hardware-clock-error-must-be-VIA-chipset bug, since I moved to 2.4.14  I no
longer see this error. I also added the kernel option noapic (saw that in a
post from Alan Cox). Nowadays /var/log/messages is  usually soiled with
errors like:

Dec  9 04:08:57 cpe-66-87-194-144 kernel: hdc: command error: status=0x51 {
DriveReady SeekComplete Error }
Dec  9 04:08:57 cpe-66-87-194-144 kernel: hdc: command error: error=0x50
Dec  9 04:08:57 cpe-66-87-194-144 kernel: end_request: I/O error, dev 16:00
(hdc), sector 192

OR

Dec  9 04:09:00 cpe-66-87-194-144 kernel: end_request: I/O error, dev 02:00
(floppy), sector 0
Dec  9 04:09:00 cpe-66-87-194-144 kernel: floppy0: disk absent or changed
during operation
Dec  9 04:09:00 cpe-66-87-194-144 kernel: end_request: I/O error, dev 02:00
(floppy), sector 0
Dec  9 04:09:00 cpe-66-87-194-144 kernel: floppy0: disk absent or changed
during operation

I don't know that these coincide with crashing as they are very randomly
interspersed throughout syslog. Anyway here is my hardware configuration:

ASUS A7A266 (latest BIOS)
AMD Athalon 1.4Ghz for 266FSB
512 DDR from Crucial
SB Live! (module emu101k)
GeForce 2 GTS (32MB) - NVidia driver (2314/2313 src RPM's --rebuild'ed).
Kernel 2.4.14 (compiled for i686)

The crashing has not lessened any from one kernel to the next. Another
thing to add is that I've tried switching back to the X driver "nv" with no
changes. It crashes totally randomly and at seemingly benign tasks.

If I had the money, I'd put a bounty on this one.

-ryan
Comment 1 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.